Subject: Re: Accessing partitions on APDL interface

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Wed, 7 Apr 1999 21:49:16 +0100 (BST)

J.Bland writes:
> brw-rw----   1 root     kmem      22,   0 Feb  4  1995 /dev/hdc

These look ok.

> Block devices:
>  1 ramdisk
>  2 fd
>  3 ide0

Hmm, nothing registered on major 22, so hdc does not exist.

>   1:      [003D:00AE] IDE & CDFS Expansion Card

Ok, the card is installed in the machine.  However, it has a different
manufacturer number from the normal.  You will have to edit
arch/arm/drivers/block/ide-ics.c, changing:

static const card_ids icside_cids[] = {
        { MANU_ICS, PROD_ICS_IDE },
        { 0xffff, 0xffff }
};

to:

static const card_ids icside_cids[] = {
        { MANU_ICS, PROD_ICS_IDE },
	{ 0x003d, PROD_ICS_IDE },
        { 0xffff, 0xffff }
};

This is fixed in the 2.2 series, but not yet in the 2.0.  If there's enough
demand for another 2.0.36 kernel patch, then I'll produce one.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: "J.Bland" <[email-masked]>
Date: Thu, 08 Apr 1999 22:35:35 +0100

> Hi,
> 
> Just a note to say I saw your APDL card problems - I have exactly the same
> except no working Linux machine to compile my own kernel up on! Would be
> most grateful if it would be possible to mail me a working kernel with the
> revised manufacturer no in it.
> 
> regards
> 
> John Joyce

I've mailed one on and if anyone else wants a copy just let me know.

Just like to say thanks to rmk for his help, it's working fine. Just have to
try making a proper ex2fs partition on it now.

   Cheers,
          John
-- 
-----------------------------------------------------------------------------
 John Bland                            Webmaster and Ph.D. Research Student,
 M.Phys (Hons) Grad.Inst.P              Condensed Matter Physics Department,
 [email-masked]                               The University of Liverpool
 http://pc084085.melgrove.liv.ac.uk/  http://www.liv.ac.uk/~olmsg01/physics/

        Secretary, Liverpool University Acorn Computer Users Society
-----------------------------------------------------------------------------
"The Sleeper Must Awaken" - Dune Messiah
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]